Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis
Class AxisConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.soap.axis.AxisConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  AxisWsdlConnector

    public class AxisConnector

extends AbstractConnector
implements MuleContextNotificationListener<MuleContextNotification>

`AxisConnector` is used to maintain one or more Services for Axis server instance.

Some of the Axis specific service initialisation code was adapted from the Ivory project (http://ivory.codehaus.org). Thanks guys :)

Field Summary
`static String` | `AXIS`
`static String` | `AXIS_CLIENT_CONFIG_PROPERTY`
`static String` | `AXIS_SERVICE_COMPONENT_NAME`
`static String` | `AXIS_SERVICE_PROPERTY`
`static String` | `DEFAULT_MULE_AXIS_CLIENT_CONFIG`
`static String` | `DEFAULT_MULE_AXIS_SERVER_CONFIG`
`static String` | `DEFAULT_MULE_NAMESPACE_URI`
`static QName` | `QNAME_MULE_PROVIDER`
`static QName` | `QNAME_MULE_TYPE_MAPPINGS`
`static String` | `SERVICE_PROPERTY_COMPONENT_NAME`
`static String` | `SERVICE_PROPERTY_SERVCE_PATH`
`static String` | `SOAP_METHODS`
`static String` | `STYLE`
`static String` | `USE`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, initialStateStopped, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AxisConnector()`

Method Summary
`protected org.apache.axis.configuration.SimpleProvider` | `createAxisProvider(String config)`
`protected void` | `doConnect()` Template method where any connections should be made for the connector
`protected void` | `doDisconnect()` Template method where any connected resources used by the connector should be disconnected
`protected void` | `doDispose()` Template method to perform any work when destroying the connectoe
`protected void` | `doInitialise()`
`protected void` | `doStart()` Template method to perform any work when starting the connectoe
`protected void` | `doStop()` Template method to perform any work when stopping the connectoe
`org.apache.axis.server.AxisServer` | `getAxis()`
`Map` | `getAxisTransportProtocols()`
`List` | `getBeanTypes()`
`String` | `getClientConfig()`
`org.apache.axis.configuration.SimpleProvider` | `getClientProvider()`
`protected Service` | `getOrCreateAxisComponent()`
`String` | `getProtocol()`
`protected Object` | `getReceiverKey(Service component, InboundEndpoint endpoint)` The method determines the key used to store the receiver against.
`String` | `getServerConfig()`
`org.apache.axis.configuration.SimpleProvider` | `getServerProvider()`
`List` | `getSupportedSchemes()`
`boolean` | `isDoAutoTypes()`
`boolean` | `isSyncEnabled(String protocol)` Used to define is this connectors endpoints' should be synchronous by default rather than using Mule's instance wide default.
`boolean` | `isTreatMapAsNamedParams()`
`void` | `onNotification(MuleContextNotification notification)`
`protected void` | `registerProtocols()`
`protected void` | `registerReceiverWithMuleService(MessageReceiver receiver, EndpointURI ep)`
`protected void` | `registerTransportTypes()`
`void` | `setAxis(org.apache.axis.server.AxisServer axisServer)`
`void` | `setAxisTransportProtocols(Map axisTransportProtocols)`
`void` | `setBeanTypes(List beanTypes)`
`void` | `setClientConfig(String clientConfig)`
`void` | `setClientProvider(org.apache.axis.configuration.SimpleProvider clientProvider)`
`void` | `setDoAutoTypes(boolean doAutoTypes)`
`void` | `setServerConfig(String serverConfig)`
`void` | `setServerProvider(org.apache.axis.configuration.SimpleProvider serverProvider)`
`void` | `setSupportedSchemes(List supportedSchemes)`
`void` | `setTreatMapAsNamedParams(boolean treatMapAsNamedParams)`
`protected void` | `unregisterReceiverWithMuleService(MessageReceiver receiver, EndpointURI ep)`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, createReceiver, createScheduler, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialStateStopped, isResponseEnabled, isStarted, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QNAME_MULE_PROVIDER

    public static final QName QNAME_MULE_PROVIDER

### QNAME_MULE_TYPE_MAPPINGS

    public static final QName QNAME_MULE_TYPE_MAPPINGS

### DEFAULT_MULE_NAMESPACE_URI

    public static final String DEFAULT_MULE_NAMESPACE_URI

See Also:
  Constant Field Values

### DEFAULT_MULE_AXIS_SERVER_CONFIG

    public static final String DEFAULT_MULE_AXIS_SERVER_CONFIG

See Also:
  Constant Field Values

### DEFAULT_MULE_AXIS_CLIENT_CONFIG

    public static final String DEFAULT_MULE_AXIS_CLIENT_CONFIG

See Also:
  Constant Field Values

### AXIS_SERVICE_COMPONENT_NAME

    public static final String AXIS_SERVICE_COMPONENT_NAME

See Also:
  Constant Field Values

### AXIS_SERVICE_PROPERTY

    public static final String AXIS_SERVICE_PROPERTY

See Also:
  Constant Field Values

### AXIS_CLIENT_CONFIG_PROPERTY

    public static final String AXIS_CLIENT_CONFIG_PROPERTY

See Also:
  Constant Field Values

### SERVICE_PROPERTY_COMPONENT_NAME

    public static final String SERVICE_PROPERTY_COMPONENT_NAME

See Also:
  Constant Field Values

### SERVICE_PROPERTY_SERVCE_PATH

    public static final String SERVICE_PROPERTY_SERVCE_PATH

See Also:
  Constant Field Values

### AXIS

    public static final String AXIS

See Also:
  Constant Field Values

### SOAP_METHODS

    public static final String SOAP_METHODS

See Also:
  Constant Field Values

### STYLE

    public static final String STYLE

See Also:
  Constant Field Values

### USE

    public static final String USE

See Also:
  Constant Field Values

Constructor Detail

### AxisConnector

    public AxisConnector()

Method Detail

### registerProtocols

    protected void registerProtocols()

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractConnector`
  Throws:
    `InitialisationException`

### registerTransportTypes

    protected void registerTransportTypes()
                                   throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### createAxisProvider

    protected org.apache.axis.configuration.SimpleProvider createAxisProvider(String config)
                                                                       throws InitialisationException

  Throws:
    `InitialisationException`

### getProtocol

    public String getProtocol()

  Specified by:
    `getProtocol` in interface `Connector`
  Returns:
    the primary protocol name for endpoints of this connector

### getReceiverKey

    protected Object getReceiverKey(Service component,
                                    InboundEndpoint endpoint)

  The method determines the key used to store the receiver against.

  Overrides:
    `getReceiverKey` in class `AbstractConnector`
  Parameters:
    `component` - the component for which the endpoint is being registered
    `endpoint` - the endpoint being registered for the component
  Returns:
    the key to store the newly created receiver against. In this case it is the component name, which is equivalent to the Axis service name.

### unregisterReceiverWithMuleService

    protected void unregisterReceiverWithMuleService(MessageReceiver receiver,
                                                     EndpointURI ep)
                                              throws MuleException

  Throws:
    `MuleException`

### registerReceiverWithMuleService

    protected void registerReceiverWithMuleService(MessageReceiver receiver,
                                                   EndpointURI ep)
                                            throws MuleException

  Throws:
    `MuleException`

### getOrCreateAxisComponent

    protected Service getOrCreateAxisComponent()
                                        throws MuleException

  Throws:
    `MuleException`

### doStart

    protected void doStart()
                    throws MuleException

  Template method to perform any work when starting the connectoe

  Specified by:
    `doStart` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doStop

    protected void doStop()
                   throws MuleException

  Template method to perform any work when stopping the connectoe

  Specified by:
    `doStop` in class `AbstractConnector`
  Throws:
    `MuleException` - if the method fails

### doConnect

    protected void doConnect()
                      throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connections should be made for the connector

  Specified by:
    `doConnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Description copied from class: `AbstractConnector`
  Template method where any connected resources used by the connector should be disconnected

  Specified by:
    `doDisconnect` in class `AbstractConnector`
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Description copied from class: `AbstractConnector`
  Template method to perform any work when destroying the connectoe

  Specified by:
    `doDispose` in class `AbstractConnector`

### getServerConfig

    public String getServerConfig()

### setServerConfig

    public void setServerConfig(String serverConfig)

### getBeanTypes

    public List getBeanTypes()

### setBeanTypes

    public void setBeanTypes(List beanTypes)

### getClientConfig

    public String getClientConfig()

### setClientConfig

    public void setClientConfig(String clientConfig)

### getAxis

    public org.apache.axis.server.AxisServer getAxis()

### setAxis

    public void setAxis(org.apache.axis.server.AxisServer axisServer)

### getServerProvider

    public org.apache.axis.configuration.SimpleProvider getServerProvider()

### setServerProvider

    public void setServerProvider(org.apache.axis.configuration.SimpleProvider serverProvider)

### getClientProvider

    public org.apache.axis.configuration.SimpleProvider getClientProvider()

### setClientProvider

    public void setClientProvider(org.apache.axis.configuration.SimpleProvider clientProvider)

### getAxisTransportProtocols

    public Map getAxisTransportProtocols()

### setAxisTransportProtocols

    public void setAxisTransportProtocols(Map axisTransportProtocols)

### getSupportedSchemes

    public List getSupportedSchemes()

### setSupportedSchemes

    public void setSupportedSchemes(List supportedSchemes)

### isDoAutoTypes

    public boolean isDoAutoTypes()

### setDoAutoTypes

    public void setDoAutoTypes(boolean doAutoTypes)

### isTreatMapAsNamedParams

    public boolean isTreatMapAsNamedParams()

### setTreatMapAsNamedParams

    public void setTreatMapAsNamedParams(boolean treatMapAsNamedParams)

### onNotification

    public void onNotification(MuleContextNotification notification)

  Specified by:
    `onNotification` in interface `ServerNotificationListener<MuleContextNotification>`

### isSyncEnabled

    public boolean isSyncEnabled(String protocol)

  Description copied from interface: `Connector`
  Used to define is this connectors endpoints' should be synchronous by default rather than using Mule's instance wide default. The endpoint is passed through to this method so that transports like Axis/CXF can determine if synchronous should be default depending on the endpoint transport e.g. http/vm/jms etc.

  Specified by:
    `isSyncEnabled` in interface `Connector`
  Overrides:
    `isSyncEnabled` in class `AbstractConnector`
  See Also:
    `ImmutableEndpoint.isSynchronous()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.